public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/siege/
Date: Sat, 27 Feb 2016 12:32:09 +0000 (UTC)	[thread overview]
Message-ID: <1456576269.a275fa46b40395d16527a1b637f833de1afbdc1e.patrick@gentoo> (raw)

commit:     a275fa46b40395d16527a1b637f833de1afbdc1e
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 11:54:01 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 12:31:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a275fa46

app-benchmarks/siege: Bump

Package-Manager: portage-2.2.27

 app-benchmarks/siege/Manifest           |  1 +
 app-benchmarks/siege/siege-3.1.4.ebuild | 50 +++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/app-benchmarks/siege/Manifest b/app-benchmarks/siege/Manifest
index 3a0cd29..3bac6da 100644
--- a/app-benchmarks/siege/Manifest
+++ b/app-benchmarks/siege/Manifest
@@ -1,3 +1,4 @@
 DIST siege-3.0.6.tar.gz 496002 SHA256 78b79964e3d6772e532c6008a084700f830a02a00ca80b44f3e71380b4908c5b SHA512 621f3f60f2aac70fb051f48819f5673d60f31fc4fc69e4c65d4ae0a285d02112686f1e9b40241d48afc378446a2b296a7dc4bbc6d8ae38e390d380506f4d448b WHIRLPOOL 0c94eb828681b2ab67cab13bbaf802f25804e976f4f1eac6cb3cb45160ee6dd2f73d726c39f9ab6be6e4243ac4c6c79d76f406eba72d3fe4a929fb24838b1de0
 DIST siege-3.1.0.tar.gz 502444 SHA256 f6a104cb2a3ac6c0efb2699649e8c4f8da2b548147bbbb7af2483089e4940e7f SHA512 b5c0ed75795096dd6c78856747acd1cb778f54ece4ee7b735e676edc898677dd0d23fa544ae249fa6ed9e7780a118936372c271ff24b73f2a54402a94cc0a67a WHIRLPOOL 9a79b0a58fc54c7005406319494acc14fa80c2b98c7c519a39fea92dcded3d330351fa2da7830ff8d52de91744a8646d62b89f8330cf184e7539c86f60065aa0
 DIST siege-3.1.3.tar.gz 527862 SHA256 4d3932ea23cbf6d1d22df7c7ee6e7a6bc9f591b604ab582393eeb62f393f5a33 SHA512 880b6d8bbe6b8210147ebb26fd724f4c242076740284977471165fbca514b56c49812ace42dcbe23c57be8fd10a2503b129deec10b79991451a9ae83f30a742b WHIRLPOOL 48e9bb9cd6c66005d17fc8bde1de62d18148114aca48700f26fd3b4710d6dd912dd2e022bbacb3b9adc636fb7003c2a6f561340794aef8142f33fcfe29baa8d9
+DIST siege-3.1.4.tar.gz 530149 SHA256 0436970ca81ade76eb419bc42d3f8460b475079eb5d8f199d2fa83328893099d SHA512 8e8b4c1e9c20833f4c3538e8929e47d1c9113cd1faf395e5f07734fb7f4291061cb7554cf500a80d8b1b6be0d6f4c8194b054f632f35533837220702784ee068 WHIRLPOOL 2081e4661a1272d99f16ff350d241c4ba26a6cec7ba34a0968d8db94e2195e0d3f9b1b5b47b5c0575b6b9af0d02d386b020dbcc46ebccdff47bed8e9cd5bd8eb

diff --git a/app-benchmarks/siege/siege-3.1.4.ebuild b/app-benchmarks/siege/siege-3.1.4.ebuild
new file mode 100644
index 0000000..f8d6138
--- /dev/null
+++ b/app-benchmarks/siege/siege-3.1.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+#WANT_AUTOMAKE=1.9
+
+inherit eutils bash-completion-r1 libtool autotools
+
+DESCRIPTION="A HTTP regression testing and benchmarking utility"
+HOMEPAGE="https://www.joedog.org/siege-home/"
+SRC_URI="http://download.joedog.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~hppa ~mips ~ppc ~x86 ~x64-macos"
+SLOT="0"
+IUSE="ssl"
+
+RDEPEND="ssl? ( >=dev-libs/openssl-0.9.6d:= )"
+DEPEND="${RDEPEND}
+	sys-devel/libtool"
+
+src_prepare() {
+	# bundled macros break recent libtool
+	sed -i -e 's/AC_PROG_SHELL//' configure.ac || die
+	rm *.m4 || die "failed to remove bundled macros"
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+	use ssl && myconf="--with-ssl=${EPREFIX}/usr" || myconf="--without-ssl"
+	econf ${myconf}
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	dodoc AUTHORS ChangeLog INSTALL README* KNOWNBUGS \
+		doc/siegerc doc/urls.txt
+
+	newbashcomp "${FILESDIR}"/${PN}.bash-completion ${PN}
+}
+
+pkg_postinst() {
+	echo
+	elog "An example ~/.siegerc file has been installed in"
+	elog "${EPREFIX}/usr/share/doc/${PF}/"
+}


             reply	other threads:[~2016-02-27 12:32 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-27 12:32 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-16 13:02 [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/siege/ Sam James
2024-08-31 15:44 Petr Vaněk
2024-08-31 15:44 Petr Vaněk
2023-12-08 12:54 Arthur Zamarin
2023-12-08  9:09 Arthur Zamarin
2023-12-08  9:07 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-01-12 14:52 Joonas Niilola
2021-12-05 18:39 Sam James
2021-12-05 18:31 Sam James
2021-12-05  4:00 Sam James
2021-07-15  6:03 Joonas Niilola
2021-07-15  6:03 Joonas Niilola
2021-07-06 17:59 Sam James
2021-07-02  7:38 Joonas Niilola
2021-05-30  5:24 Sam James
2021-05-29  8:53 Agostino Sarubbo
2021-05-29  8:41 Agostino Sarubbo
2021-05-01 14:10 Mikle Kolyada
2021-04-28  7:08 Joonas Niilola
2021-04-22  2:59 Sam James
2021-04-21 18:53 Sam James
2021-04-20 23:35 Sam James
2021-03-20  7:00 Joonas Niilola
2021-03-20  7:00 Joonas Niilola
2020-11-29  8:20 Agostino Sarubbo
2020-11-28  6:39 Joonas Niilola
2020-11-28  6:39 Joonas Niilola
2020-09-24  6:46 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-20 22:40 Thomas Deutschmann
2020-09-16  2:01 Sam James
2020-09-16  2:01 Sam James
2020-09-16  2:01 Sam James
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2019-01-26 20:27 Pacho Ramos
2018-05-29 16:06 Mikle Kolyada
2018-05-27 13:01 Thomas Deutschmann
2018-05-27 12:01 Pacho Ramos
2018-05-18 14:41 Michał Górny
2018-04-15 14:41 Sergei Trofimovich
2018-04-12 20:54 Thomas Deutschmann
2018-04-01 17:41 Aaron Bauman
2016-06-03  8:33 Anthony G. Basile
2015-12-21 16:14 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456576269.a275fa46b40395d16527a1b637f833de1afbdc1e.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox